package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 违规类型(1.脱岗,2.离岗,3.玩手机,4.睡觉)枚举类
*
* @author zxfei
*/
public enum IrregularTypeEnum {
    脱岗(1, "脱岗"),
    离岗(2, "离岗"),
    玩手机(3, "玩手机"),
    睡觉(4, "睡觉"),
    其他(5, "其他");
    private Integer value;
    private String desc;

    IrregularTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IrregularTypeEnum getByValue(Integer value) {
        for (IrregularTypeEnum irregularTypeEnum : IrregularTypeEnum.values()) {
            if (irregularTypeEnum.getValue() == value) {
                return irregularTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IrregularTypeEnum item : IrregularTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}